APT (Advanced Packaging Tool) is the standard software package management system for Debian and its derivatives.

learn more… | top users | synonyms (1)

2
votes
1answer
573 views

Why does Debian sometimes ask me to insert the (installation?) cd when I install packages?

I've noticed sometimes when I do apt-get Debian asks me to insert [the installation cd I used] (6.0.6 amd64 dvd1). Sometimes it doesn't, although maybe it's because I've already mounted it earlier; I ...
1
vote
2answers
383 views

aptitude remove pkg_name* not working like apt-get

I have uninstalled (aptitude purge) the qt-sdk package but there is still a lot of qt4* and libqt* packages on my system. Is there a way to remove all these packages with aptitude remove/purge ...
0
votes
1answer
1k views

Small update.. Now cannot download/update

Earlier today I was ssh'ing into my box and discovered that the internal IP had changed from what it was, I decided I wanted to make this static and found a tutorial (kind of) how to: nano ...
3
votes
4answers
148 views

Get package sources and repository link

Is there any way (dpkg, apt?) to get a package's sources and URL to repository, if available, in Debian ?
1
vote
3answers
197 views

download packages for different distribution with apt

I want to download a .deb package with it's dependencies for a different distribution. I have many Linux systems in my company: Ubuntu 11.04, 11.10, 12.10, and Debian 5 and 6. The command to ...
2
votes
1answer
225 views

Could not perform immediate configuration on 'libstdc++6' on Nexenta

My original goal was setup service-network-ssh on Nexenta Illumos. As a result of the command apt-get install service-network-ssh I got the following message Reading package lists... Building ...
4
votes
2answers
3k views

How to undo sudo add-apt-repository?

I run sudo add-apt-repository ppa:noobslab/indicators to install my-weather-indicator but it requires GTK3 and I don't want to proceed. So I'd like to undo that command. I'd checked my ...
4
votes
2answers
2k views

Debian: Is it possible/safe to install packages from an older version of the repository?

I'm currently running Debian testing (Wheezy) and am trying to get SCIM working. I want to install the scim-pinyin package, but there is no such package available in the testing repository, although ...
1
vote
1answer
212 views

Synchronize software packages between different Linux distributions

Is there any way to synchronize software packages between different Linux distributions? There are several software packages that I need to synchronize between a Linux Mint installation and an Ubuntu ...
2
votes
3answers
9k views

How to install google chrome with apt-get?

My Linux version is Ubuntu: > cat /etc/lsb-release DISTRIB_ID=Ubuntu DISTRIB_RELEASE=9.04 DISTRIB_CODENAME=jaunty DISTRIB_DESCRIPTION="Ubuntu 9.04" running as virtual machine. I did as said ...
0
votes
2answers
552 views

Installing virtualbox on Debian: dependency problems

I'm currently running Debian Wheezy (Testing). I want to install virtualbox but when I run the following: # aptitude install virtualbox ...I get the following result: The following packages have ...
1
vote
2answers
143 views

Having Latest Versions of all Apps in Ubuntu 12.10

As we all know that Arch Linux repository is updated with all the latest releases of all the softwares. But in Ubuntu, The repo is not updated that often resulting in user using the older versions of ...
2
votes
1answer
389 views

Is my apt-get dependency tree corrupted?

I wanted to uninstall the libboost libraries. I wrote in the console: sudo apt-get remove libboost-* But looking more precisely at the console output, I noticed apt-get was ready to remove several ...
1
vote
3answers
3k views

packages have unmet dependencies - unable to install packages

I am trying to install passenger module with bellow command: sudo passenger-install-apache2-module And I am getting following output: * GNU C++ compiler... found at /usr/bin/g++ * Curl ...
4
votes
1answer
853 views

Automate installation of VirtualBox Guest Additions via command-line

How can I install VirtualBox Guest Additions from a Bash script, in a unattended way? Whenever I run apt-get -y install dkms virtualbox-guest-dkms from the terminal I'm presented with a interactive ...
3
votes
1answer
468 views

Why can I only use apt-get when I use “su”?

Not sure what info you need here, if any. Just let me know. I have a proxy that bypasses the corporate net set in my profile file for both su and normal user. When I do a sudo or regular apt-get ...
5
votes
2answers
455 views

Yum and recommended/suggested packages

I'd like to install a software package on my Fedora System, but it has a lot of unreasonable dependencies (which I know for sure they are not actually required). I used to work on Debian, where ...
2
votes
1answer
107 views

Adding repositories with “./” [closed]

I'm trying to add this unoficcial repository to my Ubuntu 12.04 machine (32 bits), in order to install a software called SLTV. According to the official site, the following lines should be used: deb ...
1
vote
1answer
77 views

Understanding aptitude's behavior on a machine with multiple archives enabled

I'm having to deal with a Debian server, which initially was Squeeze, I believe, but where administrator enabled several distributions: deb http://mirror.yandex.ru/debian/ stable main contrib ...
1
vote
1answer
121 views

When I am in VirtualEnv and do apt-get install, is there any difference?

If I have a virtualenv activated when I do something like sudo apt-get install python2.7-dev should I expect different results than if I did it outside the virtual env? Limited theory says no, ...
0
votes
2answers
137 views

phpmyadmin is listing my server version and client version as being different

In a continuation of this question, I have purged the 5.1 client via sudo apt-get purge mysql-client-core-5.1. I have reinstalled the 5.5 client - sudo apt-get --reinstall install mysql-client-5.5 ...
1
vote
1answer
272 views

Which parameters were used by apt-get to install init scripts for a package?

After removing the init script for hdparm with # update-rc.d hdparm remove, the wish is to re-install/fix/repair the hdparm init script. In other words to undo the update-rc.d removal. Calling # ...
2
votes
1answer
118 views

Get current versions of applications via apt-get

I am new to debian. What bothers me is that apt-get install shows just really old versions of everything. E. g. "Eclipse Galileo" but currently it's "Juno" and imho there was "Helios" and "Indigo" in ...
1
vote
1answer
199 views

Mint 12 - Error updating MySQL (mysql-client-core-5.1)

I have MySQL 5.5 installed via packages.dotdeb.org. When trying to update 5.1, which is also installed, I get the following error: E: ...
0
votes
1answer
172 views

Debian kernel package update freezes

So I have a Debian squeeze i386 install, and I'm trying to update to 3.2. I added the sources to the backports, I updated apt-get, I installed the firmware-linux-free, and when I try to install the ...
1
vote
1answer
151 views

Package managers for local installations under home directory [duplicate]

Possible Duplicate: Non-Root Package Managers I work extensively on a remote system where I do not have admin rights. However, I am allowed to install my own binaries and programs under my ...
1
vote
1answer
768 views

Apt-Get Install Unmet Dependencies

My debian computer will not install the new kernel. It says I have unmet dependencies, and those dependencies say they have unmet dependencies. Many of these dependencies are already installed ...
5
votes
1answer
433 views

Firefox circular-dependency hell on Linux Mint 13

Having difficulty re-installing Firefox, after an installation to resolve places.sqlite issues. It appears that I'm trapped in circular dependency hell. Need to resolve firefox dependency hell to ...
3
votes
1answer
187 views

How can I view packages from a specific repository?

In my /etc/apt/sources.list if I add the path: deb http://debian.meebey.net/pkg-mono ./ Can I view packages from this specific repository alone?
1
vote
0answers
345 views

Make and apt-get Have Stopped Working

So I downloaded the non-free broadcom driver(b44) for my debian install, however when I try to make it I get the following error: make make -C /lib/modules/2.6.32-5-amd64/build ...
1
vote
1answer
258 views

Ubuntu Could not purge package

I've tried to install oracle-java7-installer package from custom repository onto Ubuntu 12. It was failed during executing some post-installation script. So. I want just to rollback it and proceed ...
5
votes
1answer
123 views

To not autoremove something

I have uninstalled my distro's (Debian Wheezy) package of torchat, and use a newer version I've built myself. Since removing the package apt-get wants me to autoremove something which the software ...
1
vote
3answers
98 views

Debian Squeeze not whole of package contents installed [closed]

When I do apt-get install usb-modeswitch-data, not all of it's contents are installed under /etc/usb_modeswitch.d. I looked inside package and wasn't able to understand how could it be -- there were ...
2
votes
1answer
150 views

Aptitude Search reports package installed, while Aptitude Show reports it not installed - how is that possible?

me@friedly_server:~$ aptitude search samba-tools i samba-tools - Samba testing utilities me@friendly_server:~$ aptitude show samba-tools ...
5
votes
2answers
3k views

Pacman option to assume “yes” to every question?

When installing software in debian systems we can put something like this: sudo apt-get install -y chromium-browser that way the installation occurs automatically, whitout asking to confirm ...
2
votes
2answers
4k views

How can I install php5-curl on Ubuntu 12.04 LTS (GNU/Linux 3.2.0-24-generic x86_64)

I have a working server running Ubuntu 12.04 LTS (GNU/Linux 3.2.0-24-generic x86_64), including apache and php. Now I want to add curl support for php by running this: apt-get install php5-curl ...
2
votes
1answer
597 views

Apt-get refuses to stop trying to install Acroreader

I'm using Mint 13 if that matters. And I'm new. Anyway, I tried installing Adobe Reader 9 using their installer from: http://www.adobe.com/support/downloads/product.jsp?product=10&platform=Unix ...
2
votes
1answer
575 views

How to check if apt proxy configuration is correct?

I have to use a proxy server which requires authentication. So, I need to update the apt.conf file to include my proxy settings. All fine. What I need is to check that the configuration is correct so ...
2
votes
2answers
731 views

debian apt-get dist-upgrade from squeeze to wheezy failing on vlc

I can't continue until I solve this bug, I've tried removing the dpkg so it redownloads it but it still has this error when trying to dist-upgrade, or now, apt-get -f install. root@hayek:~# apt-get ...
4
votes
1answer
762 views

Command & binary exists but cannot be executed

I transfered /etc/* files from one Linux server to another and now I have a strange error. Both are Debian Squeeze. When I run a command, e.g. ssh, I get an error: bash: /usr/bin/ssh: No such file ...
2
votes
2answers
184 views

Automatic package is installed, but aptitude doesn't find any rdependencies. What am I doing wrong?

I have a package lm-sensors automatically installed on my Ubuntu 10.04, but can't find packages, that depend on it: $ aptitude show lm-sensors Package: lm-sensors New: yes State: installed ...
6
votes
1answer
1k views

apt-get -f install is stuck on “corrupted filesystem tarfile”

I am having issues with apt-get on my Raspberry Pi. This is the output when I try and install a package: pi@raspberrypi ~ $ sudo apt-get -f install cowsay Reading package lists... Done Building ...
1
vote
1answer
101 views

Why is this OR dependency not working as I expected

I tried to remove python2.6 from my Debian system: $ sudo apt-get purge python2.6 Reading package lists... Done Building dependency tree Reading state information... Done The following ...
1
vote
1answer
2k views

How to install LXDM instead of GDM3?

I'm running Debian Wheezy and my default Display Manager is GDM3, and I would like to replace it with LXDM. The problem is that I'm trying to run # apt-get install lxde and it's not working, what am I ...
6
votes
1answer
910 views

disable apt-listchanges (and other interactive stuff) during upgrades (reliably)

I have to admit, I really really hate apt-listchanges. If I'm going to do a huge dist-upgrade, I want to just leave the computer there for a few hours. The asker of this serverfault question had a ...
0
votes
1answer
872 views

Related to apt-get update command

I am using Ubuntu12.04 and I installed lots of pkg. I want to update only one specific pkg. I tried using $apt-get update pkgname E: The update command takes no arguments so then I tried ...
3
votes
0answers
31 views

Find packages not maintained in main repo? [duplicate]

Possible Duplicate: listing packages in Debian, a la dpkg -l, but including the package origin/source E.g. Ubuntu Server offers only security updates for software contained in the main ...
1
vote
4answers
90 views

Is really need Internet connection after installed all pkgs?

I know when you want to Install any new pkg then internet connection is required .right now I am using Ubuntu 12.04 I have Internet connection. using following command I installed one pkg.(e.g vlc ...
3
votes
1answer
886 views

Can I upgrade to a new version of Python on an old version of Ubuntu?

I have Ubuntu 8.04.3 LTS and ran this: $ sudo apt-get install python2.7 I got this: Reading package lists... Done Building dependency tree Reading state information... Done E: Couldn't find ...
1
vote
2answers
517 views

Remove all packages in a text file via apt-get

I have a text file with a package on each line. How can I remove all the packages in that text file from the system? Also, if one package cannot be removes/wasn't installed in the first place can I ...